WingzGraphInternal::State Struct Reference

Internal: the state of a WingzGraph. More...

## Public Member Functions

| State ()
| constructor
void | initPatterns (int vers)
| init the pattern list
void | addGraphic (std::shared_ptr< WingzGraphInternal::Graphic > graphic)
| add a new graphic

## Public Attributes

std::vector< MWAWGraphicStyle::Pattern > | m_patternList
| the patterns list
std::vector< std::shared_ptr< Graphic > > | m_pictureList
| the list of picture
std::stack< std::shared_ptr< Graphic > > | m_groupStack
| the group stack
int | m_inGroupDepth
| the group actual depth

## Detailed Description

Internal: the state of a WingzGraph.

## Constructor & Destructor Documentation

## State()

WingzGraphInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## addGraphic()

void WingzGraphInternal::State::addGraphic | ( | std::shared_ptr< WingzGraphInternal::Graphic > | graphic | ) |

inline

add a new graphic

## initPatterns()

void WingzGraphInternal::State::initPatterns | ( | int | vers | ) |

init the pattern list

## Member Data Documentation

## m_groupStack

std::stack<std::shared_ptr<Graphic> > WingzGraphInternal::State::m_groupStack

the group stack

Referenced by addGraphic(), and State().

## m_inGroupDepth

int WingzGraphInternal::State::m_inGroupDepth

the group actual depth

Referenced by State().

## m_patternList

std::vector<MWAWGraphicStyle::Pattern> WingzGraphInternal::State::m_patternList

the patterns list

Referenced by initPatterns(), and State().

## m_pictureList

std::vector<std::shared_ptr<Graphic> > WingzGraphInternal::State::m_pictureList

the list of picture

Referenced by addGraphic(), and State().

The documentation for this struct was generated from the following file:

- WingzGraph.cxx